Subject: Re: Cleaning up git user-interface warts

From: Andy Parkins <[email-masked]>
Date: Wed, 15 Nov 2006 11:33:55 +0100

On Wednesday 2006 November 15 09:59, Jakub Narebski wrote:

> >  * Don't use the name "origin" twice.  In fact, don't use it at all.  In
> > a distributed system there is no such thing as a true origin.
>
> The remote 'origin' is true origin of the repository: it is repository
> we cloned this repository from.

But that is not necessarily /the/ original, and "origin" is the absolute 
reference in maths.  It doesn't bother me that much I suppose, it's just that 
as far as unambiguous names go, I'm not wild about it - it's got too 
many "central repository" connotations, which is of course anathema to git.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIEE